/*
 * Project name:
     LED_Blinking (Simple 'Hello World' project)
 * Copyright:
     (c) MikroElektronika, 2011.
 * Revision History:
     20110414:
       - initial release (FJ);
 * Description:
     This is a simple 'Hello World' project. It turns on/off diodes connected to
     PORT0, PORT1, PORT2 and PORT3.
 * Test configuration:
     MCU:             AT89S8253
                      http://www.atmel.com/dyn/resources/prod_documents/doc3286.pdf
     Dev.Board:       UNI-DS6
                      http://www.mikroe.com/eng/products/view/669/uni-ds6-development-system/
     Oscillator:      External Clock 10.0000 MHz
     Ext. Modules:    -
     SW:              mikroC PRO for 8051
                      http://www.mikroe.com/en/compilers/mikroc/8051/
 * NOTES:
     - Turn ON the PORT LEDs at SW12. (board specific)
     - Pull-up ports at SW1, SW2, SW3 and SW4. (board specific)
*/

void main() {

  do {
    P0 = 0x00;        // Turn OFF diodes on PORT0
    P1 = 0x00;        // Turn OFF diodes on PORT1
    P2 = 0x00;        // Turn OFF diodes on PORT2
    P3 = 0x00;        // Turn OFF diodes on PORT3
    Delay_ms(1000);   // 1 second delay
    
    P0 = 0xFF;        // Turn ON diodes on PORT0
    P1 = 0xFF;        // Turn ON diodes on PORT1
    P2 = 0xFF;        // Turn ON diodes on PORT2
    P3 = 0xFF;        // Turn ON diodes on PORT3
    Delay_ms(1000);   // 1 second delay

  } while(1);         // Endless loop
}
