/*
 * Project name:
     DEMO (Simple demonstration of the LCD Library functions)
 * Copyright:
     (c) Mikroelektronika, 2011.
 * Description:
     This is a simple demonstration of LCD library functions. LCD is first
     initialized (4-bit data interface), then some text is written
     at the first row.
 * Test configuration:
     MCU:             LPC2214
     Dev.Board:       UNIDS6
                      http://www.mikroe.com/eng/products/view/669/uni-ds6-development-system/
     Oscillator:      14.74568MHz (cclk = 58.98272MHz, Fcco = 235.93088 MHz)
     Ext. Modules:    -
     SW:              KEIL uVision v4.10
 * NOTES:
     - Turn ON the LCD Backlight at SW18.7
	 - SW15.5, SW15.6, SW16.5, SW16.6, SW16.7 and SW16.8 - ON
*/


#include <LPC22XX.H>

#include "LCD4.h"
#include "Utility.h"


const unsigned char LCD_Message[16] = {"mikroElektronika"};

int main (void)
{
	PINSEL0 = 0;
	PINSEL1 = 0;
	PINSEL2 &= 0x0000000C;
	PINSEL2 |= 0x00000030;
	DelayProc(0.2 * CCLOCK);


	LCD4_init (&IOPIN2/*port_data*/, 20/*D4*/,&IOPIN0/*port_ctrl*/, 18/*RS*/, 21/*E*/);
	                                                         

	LCD4_sendstr (0,0, LCD_Message);
	LCD4_sendstr (0,1, "Hello !!!");

	while (1);
}
