/*
 * Project name:
     DEMO (Simple usage of USART module library functions)
 * Copyright:
     (c) Mikroelektronika, 2011.
 * Description:
     This code demonstrates how to use usart library routines.
 * Test configuration:
     MCU:             LPC2214
     Dev.Board:       UNIDS6
                      http://www.mikroe.com/eng/products/view/669/uni-ds6-development-system/
     Oscillator:      14.74568MHz (cclk = 58.98272MHz, Fcco = 235.93088 MHz)
     Ext. Modules:    -
     SW:              KEIL uVision v4.10
 * NOTES:
     - Be sure to connect the USB cable to the USB UART 1 communication port and to turn ON switches SW13.1 and SW13.2.
*/

#include <LPC22XX.H>

#include "Serial.h"
#include "Utility.h"


const unsigned char
	Message[18] = {"mikroElektronika\n"};

unsigned char
	RxChr,
	HEXnum[9];

int main (void)
{
	PINSEL0 = 0;
	PINSEL1 = 0;
	PINSEL2 &= 0x0000000C;
	PINSEL2 |= 0x00000030;
	DelayProc(0.2 * CCLOCK);


	UART0_init(38400/*bps*/, 14745/*kHz*/, length_8_bit, stop_bit_1, parity_disable, parity_odd);

	UART0_sendstring ("Hello from,\n");
	UART0_sendstring (Message);
	UART0_sendstring ("\n");

	while (1)
		{
		RxChr = UART0_getchar ();

		int2str (HEXnum, RxChr);

		UART0_sendchar (RxChr);
		UART0_sendstring (" - ");
		UART0_sendstring (HEXnum);
		UART0_sendstring ("\n");
		};
}
