/*
 * Project name:
     DEMO (Simple project)
 * Copyright
     (c) Mikroelektronika, 2011.
 * Description:
     This is a simple project. It turns on/off diodes connected to all ports.
 * Test configuration:
     MCU:             LPC2148
     Dev.Board:       UNIDS6
                      http://www.mikroe.com/eng/products/view/669/uni-ds6-develop
     Oscillator:      12.0 MHz (cclk = 60.0 MHz, Fcco = 240.0 MHz)
     Ext. Modules:    -
     SW:              KEIL uVision v4.10
 * NOTES:
     - Turn ON LEDs on PORT0 and PORT1 (Switch SW12).
*/


#include <LPC214X.H>

#include "Utility.h"

unsigned long j;

int main (void)
{
	PINSEL0 = 0;
	PINSEL1 = 0;
	PINSEL2 &= 0x0000000C;
	PINSEL2 |= 0x00000030;
	DelayProc(0.2 * CCLOCK);


	IODIR0 = 0xFFFFFFFF;					// PORT0[31..0] defined as Output
	IODIR1 = 0xFFFFFFFF;					// PORT1[31..16] defined as Output

	while (1)																			
		{
		for (j = 0x00000001; j < 0x80000000; j <<= 1)
			{
 			IOSET0 = j;									// Turn on LEDs
 			IOSET1 = j;
			DelayProc(0.05 * CCLOCK);
			IOCLR0 = j;									// Turn off LEDs
			IOCLR1 = j;
			}
		for (j = 0x80000000; j > 0x00000001; j >>=1 )
			{
 			IOSET0 = j;									// Turn on LEDs
 			IOSET1 = j;
			DelayProc(0.05 * CCLOCK);
			IOCLR0 = j;									// Turn off LEDs
			IOCLR1 = j;
			}
	}
}
