/*
 * Project name:
     LED_Blinking (Simple 'Hello World' project)
 * Copyright:
     (c) MikroElektronika, 2011.
 * Revision History:
     20110414:
       - initial release (FJ);
 * Description:
     This is a simple 'Hello World' project. It turns on/off LEDs connected to
     PORTA, PORTB, PORTC, PORTD, PORTE, PORTF, PORTG, PORTH and PORTJ. 
 * Test configuration:
     MCU:             P18F8520
                      http://ww1.microchip.com/downloads/en/DeviceDoc/39609b.pdf
     Dev.Board:       UNI-DS6 - ac:LEDs
                      http://www.mikroe.com/eng/products/view/669/uni-ds6-development-system/
     Oscillator:      HS, 10.0 MHz
     Ext. Modules:    -
     SW:              mikroC PRO for PIC
                      http://www.mikroe.com/eng/products/view/7/mikroc-pro-for-pic/
 * NOTES:
     - Turn ON the PORT LEDs at SW12. (board specific)
*/

void main() {

  ADCON1 |= 0x0F;      // Configure AN pins as digital
  CMCON  |= 7;         // Disable comparators

  TRISA = 0;           // set direction to be output
  TRISB = 0;           // set direction to be output
  TRISC = 0;           // set direction to be output
  TRISD = 0;           // set direction to be output
  TRISE = 0;           // set direction to be output
  TRISF = 0;           // set direction to be output
  TRISG = 0;           // set direction to be output
  TRISH = 0;           // set direction to be output
  TRISJ = 0;           // set direction to be output

  do {
    PORTA = 0x00;      // Turn OFF LEDs on PORTA
    PORTB = 0x00;      // Turn OFF LEDs on PORTB
    PORTC = 0x00;      // Turn OFF LEDs on PORTC
    PORTD = 0x00;      // Turn OFF LEDs on PORTD
    PORTE = 0x00;      // Turn OFF LEDs on PORTE
    PORTF = 0x00;      // Turn OFF LEDs on PORTF
    PORTG = 0x00;      // Turn OFF LEDs on PORTG
    PORTH = 0x00;      // Turn OFF LEDs on PORTH
    PORTJ = 0x00;      // Turn OFF LEDs on PORTJ
    Delay_ms(1000);    // 1 second delay

    PORTA = 0xFF;      // Turn ON LEDs on PORTA
    PORTB = 0xFF;      // Turn ON LEDs on PORTB
    PORTC = 0xFF;      // Turn ON LEDs on PORTC
    PORTD = 0xFF;      // Turn ON LEDs on PORTD
    PORTE = 0xFF;      // Turn ON LEDs on PORTE
    PORTF = 0xFF;      // Turn ON LEDs on PORTF
    PORTG = 0xFF;      // Turn ON LEDs on PORTG
    PORTH = 0xFF;      // Turn ON LEDs on PORTH
    PORTJ = 0xFF;      // Turn ON LEDs on PORTJ
    Delay_ms(1000);    // 1 second delay
  } while(1);          // Endless loop
}