;-----------------------------------------------------------------------------
; Assembly main line
; Blinkovanje svetlecih dioda.
; Koriste se 16-bitni i 8-bitni brojaci. Ulaz 16-bitnog brojaca je 32 kHz.
; Ulaz 8-bitnog brojaca je izlaz iz 16-bitnog.
; Svetleca dioda koja se nalazi na pinu, port0-0 ukljucuje se i iskljucuje na
; svakih pola sekunde. Na pinu port2-0 nalazi se druga LED koja se ukljucuje
; i iskljucuje duplo brze od prethodne. Obe LED su u vezi sa 16-bitnim
; brojacem. Treca LED se nalazi na pinu port4-1. Njenim ukljucenjem
; i iskljucenjem komanduje 8-bitni brojac. Frekvencija je 5 puta manja nego
; na pinu port2-0. Posle 3 ciklusa svetli-ne svetli na poslednjoj LED, program
; se prekida. Ovo se moze videti u prekidnim rutinama. Pogledajte
; Counter16_1INT.asm i Counter8_1INT.asm.
;-----------------------------------------------------------------------------

include "m8c.inc"       ; part specific constants and macros
include "memory.inc"    ; Constants & macros for SMM/LMM and Compiler
include "PSoCAPI.inc"   ; PSoC API definitions for all User Modules

export _main

export data
area bss (RAM)
	data: BLK 1  
area text (ROM,REL)


_main:
	mov		[data],0
	call	LED_1_Start     
	call	LED_1_On 
	
	
	M8C_EnableGInt  	  
	call	Counter16_1_Start  	 
	call	Counter16_1_EnableInt
	call	Counter8_1_Start  	 
	call	Counter8_1_EnableInt
	

.terminate:
    jmp .terminate
