;-----------------------------------------------------------------------------
; File name:
;	m_pause.asm
; Author:
;	Mikroelektronika
; Description:
;	Assembler declarations for waiting.
;		pause - wait (in miliseconds)
;-----------------------------------------------------------------------------

;@0 - number of miliseconds
macro pause @0
	push x
    M8C_SetBank1               ;4 
    mov		A,reg[0xE0]        ;6 Get delay value
    M8C_SetBank0               ;4
    and		A,07h              ;4 Mask off only the clock bits	
    jz		Mhz3
    cmp		A,0x01
    jz		Mhz6
    cmp		A,0x02    
    jz		Mhz12
    cmp		A,0x03    
    jz		Mhz24
    cmp		A,0x04
    jz		Khz1500
    cmp		A,0x05    
    jz		Khz750
    cmp		A,0x06    
    jz		Khz187    
    cmp		A,0x07    
    jz		Khz93
	jmp		loop1        
Mhz3:    
	mov		A,<@0
	push	A
	mov		A,>@0
	push	A	
	mov		X,SP
	mov		A,[X-2]
	jmp		loop1	
Mhz6:    
   	mov		A,<(@0*2)
	push	A
	mov		A,>(@0*2)
	push	A	
	mov		X,SP
	mov		A,[X-2]
	jmp		loop1	
Mhz12:    
	mov		A,<(@0*4)
	push	A
	mov		A,>(@0*4)
	push	A	
	mov		X,SP
	mov		A,[X-2]
	jmp		loop1	
Mhz24:    
	mov		A,<(@0*6)
	push	A
	mov		A,>(@0*6)
	push	A	
	mov		X,SP
	mov		A,[X-2]
	jmp		loop1	
Khz1500:    
	mov		A,<(@0/2)
	push	A
	mov		A,>(@0/2)
	push	A	
	mov		X,SP
	mov		A,[X-2]
	jmp		loop1
Khz750:    
	mov		A,<(@0/4)
	push	A
	mov		A,>(@0/4)
	push	A	
	mov		X,SP
	mov		A,[X-2]
	jmp		loop1	
Khz187:    
	mov		A,<(@0/16)
	push	A
	mov		A,>(@0/16)
	push	A	
	mov		X,SP
	mov		A,[X-2]
	jmp		loop1	
Khz93:    
	mov		A,<(@0/32)
	push	A
	mov		A,>(@0/32)
	push	A	
	mov		X,SP
	mov		A,[X-2]
	//jmp		loop1	
loop1:
	jz		dechi
	call	Delay1ms
	dec		[X-2]
	jmp		loop1	
dechi:
	mov		A,[X-1]
	jz		pauseend
	call	Delay1ms
	dec		[X-1]
	dec		[X-2]
	jmp		loop1
	
Delay1ms:						;call +push+pop+ret =43 +a*x*113+9*x
_Delay1ms:
	mov		A,35				;5	;3000/84=36
Label1:
	call	Delay25u			;75		75+4+5=84
	dec		A		    		;4
	jnz		Label1				;5
	ret    
     
Delay25u:						;56+11+8=75 taktova
_Delay25u:                      
;14 nop instructions=56 clocks
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
    ret                

pauseend:
	pop		A
	pop		A
	pop		X
endm
