/*
 * Project name:
     Led_Blinking (The simplest simple example)
 * Copyright:
     (c) MikroElektronika, 2011.
 * Revision History:
     20110414:
       - initial release (FJ);
 * Description:
     Simple "Hello world" example for the world of dsPIC MCUs;
 * Test configuration:
     MCU:             dsPIC30F6014A
                      http://ww1.microchip.com/downloads/en/DeviceDoc/70143D.pdf
     Dev.Board:       UNI-DS6 - ac:LED
                      http://www.mikroe.com/eng/products/view/669/uni-ds6-development-system/
     Oscillator:      XT-PLL8, 80.000MHz
     Ext. Modules:    None.
     SW:              mikroC PRO for dsPIC30/33 and PIC24
                      http://www.mikroe.com/eng/products/view/231/mikroc-pro-for-dspic30-33-and-pic24/
 * NOTES:
     - Turn ON port LEDs at SW13 (board specific).
 */

void main() {
  ADPCFG = 0xFFFF;       // Configure AN pins as digital I/O
  TRISA = 0;             // Initialize PORTA as output
  TRISB = 0;             // Initialize PORTB as output
  TRISC = 0;             // Initialize PORTC as output
  TRISD = 0;             // Initialize PORTD as output
  TRISF = 0;             // Initialize PORTF as output
  TRISG = 0;             // Initialize PORTG as output

  LATA = 0;              // Set PORTA to zero
  LATB = 0;              // Set PORTB to zero
  LATC = 0;              // Set PORTC to zero
  LATD = 0;              // Set PORTD to zero
  LATF = 0;              // Set PORTF to zero
  LATG = 0;              // Set PORTG to zero
  
  while(1) {
    LATA = ~LATA;        // Invert PORTA to value
    LATB = ~LATB;        // Invert PORTB to value
    LATC = ~LATC;        // Invert PORTC to value
    LATD = ~LATD;        // Invert PORTD to value
    LATF = ~LATF;        // Invert PORTF to value
    LATG = ~LATG;        // Invert PORTG to value
    Delay_ms(1000);      // One second delay
  }
}