/*
 * Project name:
     Led_Blinking (The simplest simple example)
 * Copyright:
     (c) MikroElektronika, 2011.
 * Revision History:
     20110414:
       - initial release (FJ);
 * Description:
     Simple "Hello world" example for the world of dsPIC MCUs;
 * Test configuration:
     MCU:             dsPIC30F6014A
                      http://ww1.microchip.com/downloads/en/DeviceDoc/70143D.pdf
     Dev.Board:       UNI-DS6 - ac:LED
                      http://www.mikroe.com/eng/products/view/669/uni-ds6-development-system/
     Oscillator:      XT-PLL8, 80.000MHz
     Ext. Modules:    None.
     SW:              mikroC PRO for dsPIC30/33 and PIC24
                      http://www.mikroe.com/eng/products/view/231/mikroc-pro-for-dspic30-33-and-pic24/
 * NOTES:
     - Turn ON port LEDs at SW13 (board specific).
 */

int counter;

void wait() {
  Delay_ms(100);
}

void main() {

  ADPCFG = 0xFFFF;           // Configure AN pins as digital

  TRISB = 0;                 // set direction to be output
  TRISC = 0;                 // set direction to be output
  TRISD = 0;                 // set direction to be output
  TRISF = 0;                 // set direction to be output

  LATB = 0;                  // turn OFF the PORTB leds
  LATC = 0;                  // turn OFF the PORTC leds
  LATD = 0;                  // turn OFF the PORTD leds
  LATF = 0;                  // turn OFF the PORTF leds
  while (1) {
    for (counter = 0; counter < 8; counter++){
      LATB |= 0x0101 << counter;
      LATD |= 0x0101 << counter;
      LATC |= 1 << counter;
      LATF |= 1 << counter;
      wait();
    }

    counter = 0;
    while (counter < 8) {
      LATB &= ~(0x0101 << counter);
      LATC &= ~(1 << counter);
      LATD &= ~(0x0101 << counter);
      LATF &= ~(1 << counter);
      wait();
      counter++;
    }
  }
}